Bug 969807 - [abrt] xscreensaver-gl-extras-5.21-5.fc17: brw_update_renderbuffer_surface: Process /usr/libexec/xscreensaver/morph3d was killed by signal 11 (SIGSEGV)
[abrt] xscreensaver-gl-extras-5.21-5.fc17: brw_update_renderbuffer_surface: P...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:c980fe02c73649d3e64c7295864...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-02 08:57 EDT by brenna.faler
Modified: 2013-07-31 14:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 14:20:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (24.61 KB, text/plain)
2013-06-02 08:57 EDT, brenna.faler
no flags Details
File: cgroup (129 bytes, text/plain)
2013-06-02 08:57 EDT, brenna.faler
no flags Details
File: core_backtrace (1.19 KB, text/plain)
2013-06-02 08:57 EDT, brenna.faler
no flags Details
File: dso_list (2.54 KB, text/plain)
2013-06-02 08:57 EDT, brenna.faler
no flags Details
File: environ (1.46 KB, text/plain)
2013-06-02 08:57 EDT, brenna.faler
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-02 08:57 EDT, brenna.faler
no flags Details
File: maps (7.67 KB, text/plain)
2013-06-02 08:57 EDT, brenna.faler
no flags Details
File: open_fds (221 bytes, text/plain)
2013-06-02 08:57 EDT, brenna.faler
no flags Details
File: proc_pid_status (782 bytes, text/plain)
2013-06-02 08:57 EDT, brenna.faler
no flags Details
File: smolt_data (3.23 KB, text/plain)
2013-06-02 08:57 EDT, brenna.faler
no flags Details
File: var_log_messages (321 bytes, text/plain)
2013-06-02 08:57 EDT, brenna.faler
no flags Details

  None (edit)
Description brenna.faler 2013-06-02 08:57:26 EDT
Version-Release number of selected component:
xscreensaver-gl-extras-5.21-5.fc17

Additional info:
backtrace_rating: 4
cmdline:        morph3d -root
crash_function: brw_update_renderbuffer_surface
executable:     /usr/libexec/xscreensaver/morph3d
kernel:         3.8.12-100.fc17.i686
uid:            1000
ureports_counter: 1
xsession_errors: xscreensaver:   signal: 0: child pid 8311 (morph3d) terminated with signal 11.

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 brw_update_renderbuffer_surface at brw_wm_surface_state.c:959
 #1 brw_update_renderbuffer_surfaces at brw_wm_surface_state.c:1052
 #2 brw_upload_state at brw_state_upload.c:503
 #3 brw_try_draw_prims at brw_draw.c:482
 #4 brw_draw_prims at brw_draw.c:566
 #5 vbo_exec_vtx_flush at vbo/vbo_exec_draw.c:407
 #6 vbo_exec_FlushVertices_internal at vbo/vbo_exec_api.c:539
 #7 vbo_exec_FlushVertices at vbo/vbo_exec_api.c:1290
 #8 _mesa_Rotatef at main/matrix.c:408
 #9 glRotatef at ../../../src/mapi/glapi/glapi_mapi_tmp.h:3501
Comment 1 brenna.faler 2013-06-02 08:57:30 EDT
Created attachment 755895 [details]
File: backtrace
Comment 2 brenna.faler 2013-06-02 08:57:33 EDT
Created attachment 755896 [details]
File: cgroup
Comment 3 brenna.faler 2013-06-02 08:57:36 EDT
Created attachment 755897 [details]
File: core_backtrace
Comment 4 brenna.faler 2013-06-02 08:57:39 EDT
Created attachment 755898 [details]
File: dso_list
Comment 5 brenna.faler 2013-06-02 08:57:41 EDT
Created attachment 755899 [details]
File: environ
Comment 6 brenna.faler 2013-06-02 08:57:44 EDT
Created attachment 755900 [details]
File: limits
Comment 7 brenna.faler 2013-06-02 08:57:47 EDT
Created attachment 755901 [details]
File: maps
Comment 8 brenna.faler 2013-06-02 08:57:50 EDT
Created attachment 755902 [details]
File: open_fds
Comment 9 brenna.faler 2013-06-02 08:57:53 EDT
Created attachment 755903 [details]
File: proc_pid_status
Comment 10 brenna.faler 2013-06-02 08:57:55 EDT
Created attachment 755904 [details]
File: smolt_data
Comment 11 brenna.faler 2013-06-02 08:57:58 EDT
Created attachment 755905 [details]
File: var_log_messages
Comment 12 Mamoru TASAKA 2013-06-02 20:18:47 EDT
Once asking mesa maintainer for help.
Comment 13 Fedora End Of Life 2013-07-03 15:36:17 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2013-07-31 14:20:53 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.